<script>
  import { onMount, getContext, createEventDispatcher } from 'svelte';

  let canvasEl;

  export let viewportConf = { scale: 2.0 };
  export let promise = null;

  const dispatch = createEventDispatcher();

  onMount(() => {
    if (promise !== null) {
      const ctx = canvasEl.getContext('2d');

      const pdf = getContext('pdfDoc');

      promise.then(page => {
        const viewport = page.getViewport(viewportConf);

        canvasEl.height = viewport.height;
        canvasEl.width = viewport.width;

        const renderTask = page.render({
          canvasContext: ctx,
          viewport: viewport
        });

        renderTask.promise.then(() => dispatch('pageRenderFinish'));

        dispatch('pageRenderStart');
      });
    }
  });
</script>

<li class="orbit-slide">
  <canvas bind:this={canvasEl} class="orbit-image"></canvas>
</li>
